--
-- $Id$
--
-- Terugzetten fin_kenmerk met key 2. Tijden de uitvoering van PCHD#41392 is hier de referentie van de het administatienummer ingevuld.
-- De administratie eigen tabel wordt eigenlijk niet meer gebruikt. Deze wordt hier dan ook weggegooid.

DEFINE thisfile = 'PCHW#41595.sql'
DEFINE dbuser   = '^PCH'


SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

INSERT INTO fin_kenmerkfactuur (fin_factuur_key, fin_kenmerkfactuur_waarde, fin_kenmerk_key)
   SELECT kf1.fin_factuur_key, SUBSTR (kf1.fin_kenmerkfactuur_waarde, 35, 3), 2
     FROM fin_kenmerkfactuur kf1
    WHERE kf1.fin_kenmerk_key = 1
      AND NOT EXISTS (SELECT kf2.fin_kenmerkfactuur_key
                        FROM fin_kenmerkfactuur kf2
                       WHERE kf2.fin_kenmerk_key = 2 AND kf2.fin_factuur_key = kf1.fin_factuur_key);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

--@@ &custid